Ben
Burton
bab@debian.org
7:e mars, 2003
adddebug
1

# `adddebug`

Ändrar `Makefile` för att lägga till avlusningsinformation

    adddebug -k -r -n

## Beskrivning

`adddebug` ändrar `Makefile` i nuvarande katalog (och valfritt i dess underkataloger) för att lägga till avlusningsinformation (`-g3`). Det tar också bort optimering (`-O[1-9]`).

Verktyget är en del av &kde;:s programvaruutvecklingsmiljö.

## Väljare

`-k`

  Behåll optimering (ta inte bort flaggan `-O[1-9]?` som normalt tas bort).

`-r`

  Sök rekursivt igenom alla underkataloger till nuvarande katalog och utför åtgärden för varje `Makefile` som hittas.

`-n`

  Kompilera utan att NDEBUG och NO_DEBUG är definierade (gör att anrop till `kDebug` fungerar).